can not charge a pbem game

Tech support for Commander Europe at War. Requires forum registration.

Moderators: firepowerjohan, rkr1958, Happycat, Slitherine Core

captain10
Lance Corporal - Panzer IA
Lance Corporal - Panzer IA
Posts: 11
Joined: Thu Dec 10, 2009 6:29 pm

can not charge a pbem game

Post by captain10 » Fri Dec 11, 2009 5:04 pm

I have tried to begin my first pbem game but, when i've tried to play my turn, the game says me that it was saved in a former version of CEAW, so i can not charge my opponent game. :cry:

i've got the 1.12 version as well as the gold version. i've tried with the two of them. :?:

alessiomarocchi
Private First Class - Wehrmacht Inf
Private First Class - Wehrmacht Inf
Posts: 5
Joined: Sat Dec 19, 2009 10:34 am

Post by alessiomarocchi » Sat Dec 19, 2009 8:06 pm

i'm having the same problem... if i save a file to be played by pbem, my opponent cannot open it (message: file has been generated by an older version) and viceversa
instead, if i play and try to re-open by the same pc, it works!
so probably it's due to something related to pc configuration or something similar...
have you fixed the problem?

trulster
Sergeant First Class - Panzer IIIL
Sergeant First Class - Panzer IIIL
Posts: 362
Joined: Thu Sep 03, 2009 2:20 pm
Location: London

Post by trulster » Sat Dec 19, 2009 8:14 pm

Started two PBEMs which work fine, but when starting a third my opponent got the same error message, what to do? Both have Gold 1.12 + GS.

IainMcNeil
Site Admin
Site Admin
Posts: 13544
Joined: Fri Apr 01, 2005 10:19 am

Post by IainMcNeil » Sat Dec 19, 2009 8:27 pm

This is probably a file extension problem. Make sure you are using the default file name .data I think so the file you load is something like savegame.data

rkr1958
General - Elite King Tiger
General - Elite King Tiger
Posts: 4263
Joined: Wed Dec 12, 2007 2:20 am

Post by rkr1958 » Sat Dec 19, 2009 8:30 pm

trulster wrote:Started two PBEMs which work fine, but when starting a third my opponent got the same error message, what to do? Both have Gold 1.12 + GS.
Also, it might be worth giving this a look: viewtopic.php?p=116716#116716

alessiomarocchi
Private First Class - Wehrmacht Inf
Private First Class - Wehrmacht Inf
Posts: 5
Joined: Sat Dec 19, 2009 10:34 am

Post by alessiomarocchi » Sat Dec 19, 2009 8:33 pm

Yes. Game name is something like "PBEM xxx.data" where PBEM is added by the game and the extension is the right one. It does not work...

alessiomarocchi
Private First Class - Wehrmacht Inf
Private First Class - Wehrmacht Inf
Posts: 5
Joined: Sat Dec 19, 2009 10:34 am

Post by alessiomarocchi » Sat Dec 19, 2009 8:35 pm

rkr1958 wrote:
trulster wrote:Started two PBEMs which work fine, but when starting a third my opponent got the same error message, what to do? Both have Gold 1.12 + GS.
Also, it might be worth giving this a look: viewtopic.php?p=116716#116716
Tried also this way... but it does not work anyway. :cry:

rkr1958
General - Elite King Tiger
General - Elite King Tiger
Posts: 4263
Joined: Wed Dec 12, 2007 2:20 am

Post by rkr1958 » Sat Dec 19, 2009 8:48 pm

alessiomarocchi wrote:
rkr1958 wrote:
trulster wrote:Started two PBEMs which work fine, but when starting a third my opponent got the same error message, what to do? Both have Gold 1.12 + GS.
Also, it might be worth giving this a look: viewtopic.php?p=116716#116716
Tried also this way... but it does not work anyway. :cry:
Just a shot in the dark but is it possible that the game was started with the standard version of the game (i.e., MH 1.12) and you're trying to load it with the GS expansion? Or vise versa? A simple check would be to try to load the game with both versions.

alessiomarocchi
Private First Class - Wehrmacht Inf
Private First Class - Wehrmacht Inf
Posts: 5
Joined: Sat Dec 19, 2009 10:34 am

Post by alessiomarocchi » Sat Dec 19, 2009 9:03 pm

rkr1958 wrote:
alessiomarocchi wrote:
rkr1958 wrote:Also, it might be worth giving this a look: viewtopic.php?p=116716#116716
Tried also this way... but it does not work anyway. :cry:
Just a shot in the dark but is it possible that the game was started with the standard version of the game (i.e., MH 1.12) and you're trying to load it with the GS expansion? Or vise versa? A simple check would be to try to load the game with both versions.

Nope.
We tried, but it's the GS expansion not working (and that file cannot be opened neither with 1.12 on the other pc). As I said, on the SAME pc file is normally opened with the GS mod. Same OS (XP Prof SP3)... It's really a mystere...

alessiomarocchi
Private First Class - Wehrmacht Inf
Private First Class - Wehrmacht Inf
Posts: 5
Joined: Sat Dec 19, 2009 10:34 am

Post by alessiomarocchi » Sun Dec 20, 2009 10:37 am

We tried to delete the setting.txt file and using the same configuration (language + definition) and now it seems working.
Thank you all.

rkr1958
General - Elite King Tiger
General - Elite King Tiger
Posts: 4263
Joined: Wed Dec 12, 2007 2:20 am

Post by rkr1958 » Sun Dec 20, 2009 2:48 pm

alessiomarocchi wrote:We tried to delete the setting.txt file and using the same configuration (language + definition) and now it seems working.
Thank you all.
Good Job! Glad you got it working.

IainMcNeil
Site Admin
Site Admin
Posts: 13544
Joined: Fri Apr 01, 2005 10:19 am

Post by IainMcNeil » Sun Dec 20, 2009 10:28 pm

I really have no idea why that would help but glad it did!

usaRocks
Lance Corporal - Panzer IA
Lance Corporal - Panzer IA
Posts: 19
Joined: Wed May 13, 2009 7:53 pm

Post by usaRocks » Mon Dec 21, 2009 8:17 pm

I have the same issue. I have had 2 different people trying to start a PBEM. When I try to load the saved game they sent (in the .data format), I get the cannot load due to previous version of the game message. I have v1.12 with the latest patches (I think). My 2nd opponent had the GS update which I didnt. I just loaded the GS update and still get the same message. Any advice on what I should do?

Regards,
Ray

rkr1958
General - Elite King Tiger
General - Elite King Tiger
Posts: 4263
Joined: Wed Dec 12, 2007 2:20 am

Post by rkr1958 » Mon Dec 21, 2009 8:44 pm

usaRocks wrote:I have the same issue. I have had 2 different people trying to start a PBEM. When I try to load the saved game they sent (in the .data format), I get the cannot load due to previous version of the game message. I have v1.12 with the latest patches (I think). My 2nd opponent had the GS update which I didnt. I just loaded the GS update and still get the same message. Any advice on what I should do?

Regards,
Ray
Have you taken a look at this? viewtopic.php?p=116716#116716

usaRocks
Lance Corporal - Panzer IA
Lance Corporal - Panzer IA
Posts: 19
Joined: Wed May 13, 2009 7:53 pm

Post by usaRocks » Tue Dec 22, 2009 12:38 am

Yes. I unchecked the hide extentions and restarted. no go. (i was just going to post to that fact, sorry).

usaRocks
Lance Corporal - Panzer IA
Lance Corporal - Panzer IA
Posts: 19
Joined: Wed May 13, 2009 7:53 pm

Post by usaRocks » Tue Dec 22, 2009 12:41 am

PC = XP service pack 2. I will try to upgrade to sp3 and retry. (I am doubtful it will fix it though)

Peter Stauffenberg
General - Carrier
General - Carrier
Posts: 4727
Joined: Sun Jul 08, 2007 4:13 pm
Location: Oslo, Norway

Post by Peter Stauffenberg » Tue Dec 22, 2009 1:54 am

Did you select the file name from the list presented to you or did you type in the file name in the dialog box yourself? If you did the former you automatically get .data after the file name. If you do the latter you have to type .data yourself. If you fail to do that then you get the error message you've experienced.


I've made a fix to this in game.class and sent it to Ronnie for distribution, because this is definitely a vanilla game bug. But it would be interesting to know if your reported bug is this one or a different one. Just try and check the actual file name before you hit the Load button. If it ends with .data and you still have a problem then it's a different. If you don't see .data at the end then type it yourself or pick the file from the list of save games.

rkr1958
General - Elite King Tiger
General - Elite King Tiger
Posts: 4263
Joined: Wed Dec 12, 2007 2:20 am

Post by rkr1958 » Tue Dec 22, 2009 4:19 am

Stauffenberg wrote:Did you select the file name from the list presented to you or did you type in the file name in the dialog box yourself? If you did the former you automatically get .data after the file name. If you do the latter you have to type .data yourself. If you fail to do that then you get the error message you've experienced.


I've made a fix to this in game.class and sent it to Ronnie for distribution, because this is definitely a vanilla game bug. But it would be interesting to know if your reported bug is this one or a different one. Just try and check the actual file name before you hit the Load button. If it ends with .data and you still have a problem then it's a different. If you don't see .data at the end then type it yourself or pick the file from the list of save games.
To reinforce what Borger is saying lets say you start a PBEM game and save it under the name MyGame. Unless you type PBEM MyGame.data you will get the "game saved in a previous version" error, which seems to be a catchall for all errors when trying to load the game. In this case, the actual error is that MyGame or MyGame.data does not exist. The game name is, "PBEM MyGame.data" (without the quotes). If this is a hotseat game then the when you type MyGame it's saved as "Hotseat MyGame.data" (again, without the quotes).

The recommended way to load an existing game is to use the filechooser to click on the game's name.

usaRocks
Lance Corporal - Panzer IA
Lance Corporal - Panzer IA
Posts: 19
Joined: Wed May 13, 2009 7:53 pm

Post by usaRocks » Thu Dec 24, 2009 2:03 pm

Hey guys,
- Start game under 'standard play'
- Game loads the red splash screen with the CEAW v1.12
- Load Multi-player
- PBEM
- Then I select a game sent to me saved in the saved game folder using the drop down menu. I do not type in the game name in by hand. Exact saved name is 'PBEM_FJvsUSARocks.data'. I then get the catch all error message about previous version
- Also have a turn sent to me by a different player which I try to load the same way exept I do have this game in the PBEM folder. Game name is 'PBEM_ray_scott.data'
- As an unrelated side note I did update my pc to sp3.
Also I thought I was using BJR mod? Any help again is greatly appreciated.

Regards,
Ray

Merry Christmas to all the great folks here!

rkr1958
General - Elite King Tiger
General - Elite King Tiger
Posts: 4263
Joined: Wed Dec 12, 2007 2:20 am

Post by rkr1958 » Thu Dec 24, 2009 2:41 pm

usaRocks wrote:Hey guys,
- Start game under 'standard play'
- Game loads the red splash screen with the CEAW v1.12
- Load Multi-player
- PBEM
- Then I select a game sent to me saved in the saved game folder using the drop down menu. I do not type in the game name in by hand. Exact saved name is 'PBEM_FJvsUSARocks.data'. I then get the catch all error message about previous version
- Also have a turn sent to me by a different player which I try to load the same way exept I do have this game in the PBEM folder. Game name is 'PBEM_ray_scott.data'
- As an unrelated side note I did update my pc to sp3.
Also I thought I was using BJR mod? Any help again is greatly appreciated.

Regards,
Ray

Merry Christmas to all the great folks here!
This is a standard game then. If you were playing the expansion then the splash screen would show CEAW v1.12 GS 1.00.

Are you sure you and your opponent are playing the same version? Make sure one is not playing v1.12 and the other v1.12.1. Also, make sure you're not mixing standard games with expansion games.

Post Reply

Return to “Commander - Europe at War : Tech Support”